import request from '@/utils/request'

// 查询列表
export function listGroups(query) {
  return request({
    url: '/face/groups/list',
    method: 'get',
    params: query
  })
}

// 查询详细
export function getGroups(groupId) {
  return request({
    url: '/face/groups/' + groupId,
    method: 'get'
  })
}

// 新增
export function addGroups(data) {
  return request({
    url: '/face/groups/add',
    method: 'post',
    data: data
  })
}

// 修改
export function updateGroups(data) {
  return request({
    url: '/face/groups/edit',
    method: 'post',
    data: data
  })
}

// 删除
export function delGroups(groupId) {
  return request({
    url: '/face/groups/delete/' + groupId,
    method: 'post'
  })
}
